=begin pod

=TITLE class X::Temporal::Truncation

    class X::Temporal::Truncation does X::Temporal { }

Thrown when C<DateTime.truncated-to> or C<Date.truncated-to> are called in a
way that doesn't make sense.

For example

    Date.new(2012, 08, 24).truncated-to(:microsecond);

dies with

    Error while truncating 2012-08-24: unknown truncation unit 'microsecond'

=head1 Methods

=head2 invocant

Returns the object on which the failed C<truncated-to> method was called.

=head2 error

Returns a textual description of what actually went wrong.

=end pod
